Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### abs()

Examples

    int a = abs(153);      // Sets a to 153
    int b = abs(-15);      // Sets b to 15
    float c = abs(12.234); // Sets c to 12.234
    float d = abs(-9.23);  // Sets d to 9.23

Description | Calculates the absolute value (magnitude) of a number. The absolute value of a number is always positive.

Syntax

    abs(value)

Parameters

value | float or int

Returns | float or int (depending on the input values)
Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT